kind: ServiceAccount
apiVersion: v1
metadata:
  name: spring-boot-admin-sa
  labels:
    app: spring-boot-admin
---
kind: Role
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: spring-boot-admin-role
  namespace: {{ .Release.Namespace }}
  labels:
    app: spring-boot-admin
rules:
  - apiGroups:
      - ""
    resources:
      - pods
      - endpoints
      - services
      - configmaps
      - secrets
    verbs:
      - get
      - list
      - watch
---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: spring-boot-admin-role-binding
  namespace: {{ .Release.Namespace }}
  labels:
    app: spring-boot-admin
subjects:
  - kind: ServiceAccount
    name: default
    apiGroup: ""
roleRef:
  apiGroup: ""
  kind: Role
  name: spring-boot-admin-role